* [gentoo-commits] proj/gentoo-bsd:master commit in: sys-apps/baselayout/files/, sys-apps/baselayout/
@ 2012-07-27 12:44 Yuta SATOH
0 siblings, 0 replies; 2+ messages in thread
From: Yuta SATOH @ 2012-07-27 12:44 UTC (permalink / raw
To: gentoo-commits
commit: 4eb04daaeaa85886d74372c56644ce48f2570395
Author: Yuta SATOH <nigoro <AT> gentoo <DOT> gr <DOT> jp>
AuthorDate: Fri Jul 27 12:42:02 2012 +0000
Commit: Yuta SATOH <nigoro.gentoo <AT> 0x100 <DOT> com>
CommitDate: Fri Jul 27 12:42:02 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gentoo-bsd.git;a=commit;h=4eb04daa
baselayout -- fixed fails to create stage1 on gfbsd, bug #419465
---
sys-apps/baselayout/Manifest | 3 +
sys-apps/baselayout/baselayout-2.1-r1.ebuild | 241 ++++++++++++++++++++
.../baselayout/files/baselayout-2.1-fbsd.patch | 15 ++
3 files changed, 259 insertions(+), 0 deletions(-)
diff --git a/sys-apps/baselayout/Manifest b/sys-apps/baselayout/Manifest
new file mode 100644
index 0000000..4dd1e57
--- /dev/null
+++ b/sys-apps/baselayout/Manifest
@@ -0,0 +1,3 @@
+AUX baselayout-2.1-fbsd.patch 492 RMD160 23040872d3f6fe77f6e2e8558cccaea3e154b067 SHA1 0225e5a12e634af82213c230cb94e84b906add7e SHA256 adc5843d3ef57949b0d03d6eecad587fc1019ad62b5a12149458bb986792579d
+DIST baselayout-2.1.tar.bz2 40398 RMD160 bba874c5d3290848236703125c130107c1244f55 SHA1 84783a773ec050700b3b0ce4c7645ae878f7f7fb SHA256 2ac6f2156513a2820a0eeeecc2cf7e7c0b5e0c750b324f1e21912d5f3cda4956
+EBUILD baselayout-2.1-r1.ebuild 8096 RMD160 16581b0602dce8fac5f47c9cbf8fa37d61b7ac17 SHA1 918ee6a72be0c1dd31a370a0a3f818aba7387a5d SHA256 61cb5dbbc1fdaad3c191cc1aedd88543dee82ea3e8512a4e6d552eab08dbf236
diff --git a/sys-apps/baselayout/baselayout-2.1-r1.ebuild b/sys-apps/baselayout/baselayout-2.1-r1.ebuild
new file mode 100644
index 0000000..f4f9474
--- /dev/null
+++ b/sys-apps/baselayout/baselayout-2.1-r1.ebuild
@@ -0,0 +1,241 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils multilib
+
+DESCRIPTION="Filesystem baselayout and init scripts"
+HOMEPAGE="http://www.gentoo.org/"
+SRC_URI="mirror://gentoo/${P}.tar.bz2
+ http://dev.gentoo.org/~vapier/dist/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+IUSE="build kernel_linux"
+
+PDEPEND="sys-apps/openrc"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}"/${PN}-2.1-fbsd.patch
+}
+
+pkg_setup() {
+ multilib_layout
+}
+
+# Create our multilib dirs - the Makefile has no knowledge of this
+multilib_warn() {
+ local syms=$1 dirs=$2 def_libdir=$3
+
+ [ -z "${syms}${dirs}" ] && return
+
+ ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB}, so that means"
+ if [ -z "${syms}" ] ; then
+ ewarn "you need to have these paths as symlinks to ${def_libdir}:"
+ ewarn "$1"
+ fi
+}
+multilib_layout() {
+ local libdir libdirs=$(get_all_libdirs) def_libdir=$(get_abi_LIBDIR $DEFAULT_ABI)
+ : ${libdirs:=lib} # it isn't that we don't trust multilib.eclass...
+
+ [ -z "${def_libdir}" ] && die "your DEFAULT_ABI=$DEFAULT_ABI appears to be invalid"
+
+ # figure out which paths should be symlinks and which should be directories
+ local dirs syms exp d
+ for libdir in ${libdirs} ; do
+ exp=( {,usr/,usr/local/}${libdir} )
+ for d in "${exp[@]/#/${ROOT}}" ; do
+ # most things should be dirs
+ if [ "${SYMLINK_LIB}" = "yes" ] && [ "${libdir}" = "lib" ] ; then
+ [ ! -h "${d}" ] && [ -e "${d}" ] && dirs+=" ${d}"
+ else
+ [ -h "${d}" ] && syms+=" ${d}"
+ fi
+ done
+ done
+ if [ -n "${syms}${dirs}" ] ; then
+ ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB:-no}, so that means you need to"
+ ewarn "have these paths configured as follows:"
+ [ -n "${dirs}" ] && ewarn "symlinks to '${def_libdir}':${dirs}"
+ [ -n "${syms}" ] && ewarn "directories:${syms}"
+ ewarn "The ebuild will attempt to fix these, but only for trivial conversions."
+ ewarn "If things fail, you will need to manually create/move the directories."
+ echo
+ fi
+
+ # setup symlinks and dirs where we expect them to be; do not migrate
+ # data ... just fall over in that case.
+ local prefix
+ for prefix in "${ROOT}"{,usr/,usr/local/} ; do
+ if [ "${SYMLINK_LIB}" = yes ] ; then
+ # we need to make sure "lib" points to the native libdir
+ if [ -h "${prefix}lib" ] ; then
+ # it's already a symlink! assume it's pointing to right place ...
+ continue
+ elif [ -d "${prefix}lib" ] ; then
+ # "lib" is a dir, so need to convert to a symlink
+ ewarn "Converting ${prefix}lib from a dir to a symlink"
+ rm -f "${prefix}lib"/.keep
+ if rmdir "${prefix}lib" 2>/dev/null ; then
+ ln -s ${def_libdir} "${prefix}lib" || die
+ else
+ die "non-empty dir found where we needed a symlink: ${prefix}lib"
+ fi
+ else
+ # nothing exists, so just set it up sanely
+ ewarn "Initializing ${prefix}lib as a symlink"
+ mkdir -p "${prefix}" || die
+ rm -f "${prefix}lib" || die
+ ln -s ${def_libdir} "${prefix}lib" || die
+ fi
+ else
+ # we need to make sure "lib" is a dir
+ if [ -h "${prefix}lib" ] ; then
+ # "lib" is a symlink, so need to convert to a dir
+ ewarn "Converting ${prefix}lib from a symlink to a dir"
+ rm -f "${prefix}lib" || die
+ if [ -d "${prefix}lib32" ] ; then
+ ewarn "Migrating ${prefix}lib32 to ${prefix}lib"
+ mv "${prefix}lib32" "${prefix}lib" || die
+ else
+ mkdir -p "${prefix}lib" || die
+ fi
+ elif [ -d "${prefix}lib" ] ; then
+ # make sure the old "lib" ABI location does not exist; we
+ # only symlinked the lib dir on systems where we moved it
+ # to "lib32" ...
+ case ${CHOST} in
+ i?86*|x86_64*|powerpc*|sparc*|s390*)
+ if [ -d "${prefix}lib32" ] ; then
+ rm -f "${prefix}lib32"/.keep
+ if ! rmdir "${prefix}lib32" 2>/dev/null ; then
+ ewarn "You need to merge ${prefix}lib32 into ${prefix}lib"
+ die "non-empty dir found where there should be none: ${prefix}lib32"
+ fi
+ fi
+ ;;
+ esac
+ else
+ # nothing exists, so just set it up sanely
+ ewarn "Initializing ${prefix}lib as a dir"
+ mkdir -p "${prefix}" || die
+ rm -f "${prefix}lib" || die
+ ln -s ${def_libdir} "${prefix}lib" || die
+ fi
+ fi
+ done
+}
+
+pkg_preinst() {
+ # Bug #217848 - Since the remap_dns_vars() called by pkg_preinst() of
+ # the baselayout-1.x ebuild copies all the real configs from the user's
+ # /etc/conf.d into ${D}, it makes them all appear to be the default
+ # versions. In order to protect them from being unmerged after this
+ # upgrade, modify their timestamps.
+ touch "${ROOT}"/etc/conf.d/* 2>/dev/null
+
+ # This is written in src_install (so it's in CONTENTS), but punt all
+ # pending updates to avoid user having to do etc-update (and make the
+ # pkg_postinst logic simpler).
+ rm -f "${ROOT}"/etc/._cfg????_gentoo-release
+
+ # We need to install directories and maybe some dev nodes when building
+ # stages, but they cannot be in CONTENTS.
+ # Also, we cannot reference $S as binpkg will break so we do this.
+ multilib_layout
+ if use build ; then
+ emake -C "${D}/usr/share/${PN}" DESTDIR="${ROOT}" layout || die
+ fi
+ rm -f "${D}"/usr/share/${PN}/Makefile
+}
+
+src_install() {
+ emake \
+ OS=$(usex kernel_FreeBSD BSD Linux) \
+ DESTDIR="${D}" \
+ install || die
+ dodoc ChangeLog.svn
+
+ # need the makefile in pkg_preinst
+ insinto /usr/share/${PN}
+ doins Makefile || die
+
+ # handle multilib paths. do it here because we want this behavior
+ # regardless of the C library that you're using. we do explicitly
+ # list paths which the native ldconfig searches, but this isn't
+ # problematic as it doesn't change the resulting ld.so.cache or
+ # take longer to generate. similarly, listing both the native
+ # path and the symlinked path doesn't change the resulting cache.
+ local libdir ldpaths
+ for libdir in $(get_all_libdirs) ; do
+ ldpaths+=":/${libdir}:/usr/${libdir}:/usr/local/${libdir}"
+ done
+ echo "LDPATH='${ldpaths#:}'" >> "${D}"/etc/env.d/00basic
+
+ # rc-scripts version for testing of features that *should* be present
+ echo "Gentoo Base System release ${PV}" > "${D}"/etc/gentoo-release
+}
+
+pkg_postinst() {
+ local x
+
+ # We installed some files to /usr/share/baselayout instead of /etc to stop
+ # (1) overwriting the user's settings
+ # (2) screwing things up when attempting to merge files
+ # (3) accidentally packaging up personal files with quickpkg
+ # If they don't exist then we install them
+ for x in master.passwd passwd shadow group fstab ; do
+ [ -e "${ROOT}etc/${x}" ] && continue
+ [ -e "${ROOT}usr/share/baselayout/${x}" ] || continue
+ cp -p "${ROOT}usr/share/baselayout/${x}" "${ROOT}"etc
+ done
+
+ # Force shadow permissions to not be world-readable #260993
+ for x in shadow ; do
+ [ -e "${ROOT}etc/${x}" ] && chmod o-rwx "${ROOT}etc/${x}"
+ done
+
+ # Take care of the etc-update for the user
+ if [ -e "${ROOT}"/etc/._cfg0000_gentoo-release ] ; then
+ mv "${ROOT}"/etc/._cfg0000_gentoo-release "${ROOT}"/etc/gentoo-release
+ fi
+
+ # whine about users that lack passwords #193541
+ if [[ -e ${ROOT}/etc/shadow ]] ; then
+ local bad_users=$(sed -n '/^[^:]*::/s|^\([^:]*\)::.*|\1|p' "${ROOT}"/etc/shadow)
+ if [[ -n ${bad_users} ]] ; then
+ echo
+ ewarn "The following users lack passwords!"
+ ewarn ${bad_users}
+ fi
+ fi
+
+ # baselayout leaves behind a lot of .keep files, so let's clean them up
+ find "${ROOT}"/lib*/rcscripts/ -name .keep -exec rm -f {} + 2>/dev/null
+ find "${ROOT}"/lib*/rcscripts/ -depth -type d -exec rmdir {} + 2>/dev/null
+
+ # whine about users with invalid shells #215698
+ if [[ -e ${ROOT}/etc/passwd ]] ; then
+ local bad_shells=$(awk -F: 'system("test -e " $7) { print $1 " - " $7}' /etc/passwd | sort)
+ if [[ -n ${bad_shells} ]] ; then
+ echo
+ ewarn "The following users have non-existent shells!"
+ ewarn "${bad_shells}"
+ fi
+ fi
+
+ # http://bugs.gentoo.org/361349
+ if use kernel_linux; then
+ mkdir -p "${ROOT}"/run
+
+ if ! grep -qs "^tmpfs.*/run " "${ROOT}"/proc/mounts ; then
+ echo
+ ewarn "You should reboot the system now to get /run mounted with tmpfs!"
+ fi
+ fi
+}
diff --git a/sys-apps/baselayout/files/baselayout-2.1-fbsd.patch b/sys-apps/baselayout/files/baselayout-2.1-fbsd.patch
new file mode 100644
index 0000000..34f1f33
--- /dev/null
+++ b/sys-apps/baselayout/files/baselayout-2.1-fbsd.patch
@@ -0,0 +1,15 @@
+diff -Nur baselayout-2.1.orig/Makefile baselayout-2.1/Makefile
+--- baselayout-2.1.orig/Makefile 2011-10-01 04:49:52.000000000 +0900
++++ baselayout-2.1/Makefile 2012-06-03 03:04:53.000000000 +0900
+@@ -70,8 +70,10 @@
+ touch $(DESTDIR)/var/tmp/.keep
+ install -m 1777 -d $(DESTDIR)/tmp
+ touch $(DESTDIR)/tmp/.keep
++ifeq ($(OS),Linux)
+ ln -snf /run $(DESTDIR)/var/run
+ ln -snf /run/lock $(DESTDIR)/var/lock
++endif
+ # FHS compatibility symlinks stuff
+ ln -snf /var/tmp $(DESTDIR)/usr/tmp
+
+
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] proj/gentoo-bsd:master commit in: sys-apps/baselayout/files/, sys-apps/baselayout/
@ 2012-08-23 11:05 Yuta SATOH
0 siblings, 0 replies; 2+ messages in thread
From: Yuta SATOH @ 2012-08-23 11:05 UTC (permalink / raw
To: gentoo-commits
commit: 044f1b055d29177aabd669acb43208057686816a
Author: Yuta SATOH <nigoro <AT> gentoo <DOT> gr <DOT> jp>
AuthorDate: Wed Aug 22 15:17:07 2012 +0000
Commit: Yuta SATOH <nigoro.gentoo <AT> 0x100 <DOT> com>
CommitDate: Wed Aug 22 15:17:07 2012 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gentoo-bsd.git;a=commit;h=044f1b05
remove baselayout fixed in official tree, close bug #419465
---
sys-apps/baselayout/Manifest | 3 -
sys-apps/baselayout/baselayout-2.1-r1.ebuild | 241 --------------------
.../baselayout/files/baselayout-2.1-fbsd.patch | 15 --
3 files changed, 0 insertions(+), 259 deletions(-)
diff --git a/sys-apps/baselayout/Manifest b/sys-apps/baselayout/Manifest
deleted file mode 100644
index 4dd1e57..0000000
--- a/sys-apps/baselayout/Manifest
+++ /dev/null
@@ -1,3 +0,0 @@
-AUX baselayout-2.1-fbsd.patch 492 RMD160 23040872d3f6fe77f6e2e8558cccaea3e154b067 SHA1 0225e5a12e634af82213c230cb94e84b906add7e SHA256 adc5843d3ef57949b0d03d6eecad587fc1019ad62b5a12149458bb986792579d
-DIST baselayout-2.1.tar.bz2 40398 RMD160 bba874c5d3290848236703125c130107c1244f55 SHA1 84783a773ec050700b3b0ce4c7645ae878f7f7fb SHA256 2ac6f2156513a2820a0eeeecc2cf7e7c0b5e0c750b324f1e21912d5f3cda4956
-EBUILD baselayout-2.1-r1.ebuild 8096 RMD160 16581b0602dce8fac5f47c9cbf8fa37d61b7ac17 SHA1 918ee6a72be0c1dd31a370a0a3f818aba7387a5d SHA256 61cb5dbbc1fdaad3c191cc1aedd88543dee82ea3e8512a4e6d552eab08dbf236
diff --git a/sys-apps/baselayout/baselayout-2.1-r1.ebuild b/sys-apps/baselayout/baselayout-2.1-r1.ebuild
deleted file mode 100644
index f4f9474..0000000
--- a/sys-apps/baselayout/baselayout-2.1-r1.ebuild
+++ /dev/null
@@ -1,241 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit eutils multilib
-
-DESCRIPTION="Filesystem baselayout and init scripts"
-HOMEPAGE="http://www.gentoo.org/"
-SRC_URI="mirror://gentoo/${P}.tar.bz2
- http://dev.gentoo.org/~vapier/dist/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
-IUSE="build kernel_linux"
-
-PDEPEND="sys-apps/openrc"
-
-src_unpack() {
- unpack ${A}
- cd "${S}"
-
- epatch "${FILESDIR}"/${PN}-2.1-fbsd.patch
-}
-
-pkg_setup() {
- multilib_layout
-}
-
-# Create our multilib dirs - the Makefile has no knowledge of this
-multilib_warn() {
- local syms=$1 dirs=$2 def_libdir=$3
-
- [ -z "${syms}${dirs}" ] && return
-
- ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB}, so that means"
- if [ -z "${syms}" ] ; then
- ewarn "you need to have these paths as symlinks to ${def_libdir}:"
- ewarn "$1"
- fi
-}
-multilib_layout() {
- local libdir libdirs=$(get_all_libdirs) def_libdir=$(get_abi_LIBDIR $DEFAULT_ABI)
- : ${libdirs:=lib} # it isn't that we don't trust multilib.eclass...
-
- [ -z "${def_libdir}" ] && die "your DEFAULT_ABI=$DEFAULT_ABI appears to be invalid"
-
- # figure out which paths should be symlinks and which should be directories
- local dirs syms exp d
- for libdir in ${libdirs} ; do
- exp=( {,usr/,usr/local/}${libdir} )
- for d in "${exp[@]/#/${ROOT}}" ; do
- # most things should be dirs
- if [ "${SYMLINK_LIB}" = "yes" ] && [ "${libdir}" = "lib" ] ; then
- [ ! -h "${d}" ] && [ -e "${d}" ] && dirs+=" ${d}"
- else
- [ -h "${d}" ] && syms+=" ${d}"
- fi
- done
- done
- if [ -n "${syms}${dirs}" ] ; then
- ewarn "Your system profile has SYMLINK_LIB=${SYMLINK_LIB:-no}, so that means you need to"
- ewarn "have these paths configured as follows:"
- [ -n "${dirs}" ] && ewarn "symlinks to '${def_libdir}':${dirs}"
- [ -n "${syms}" ] && ewarn "directories:${syms}"
- ewarn "The ebuild will attempt to fix these, but only for trivial conversions."
- ewarn "If things fail, you will need to manually create/move the directories."
- echo
- fi
-
- # setup symlinks and dirs where we expect them to be; do not migrate
- # data ... just fall over in that case.
- local prefix
- for prefix in "${ROOT}"{,usr/,usr/local/} ; do
- if [ "${SYMLINK_LIB}" = yes ] ; then
- # we need to make sure "lib" points to the native libdir
- if [ -h "${prefix}lib" ] ; then
- # it's already a symlink! assume it's pointing to right place ...
- continue
- elif [ -d "${prefix}lib" ] ; then
- # "lib" is a dir, so need to convert to a symlink
- ewarn "Converting ${prefix}lib from a dir to a symlink"
- rm -f "${prefix}lib"/.keep
- if rmdir "${prefix}lib" 2>/dev/null ; then
- ln -s ${def_libdir} "${prefix}lib" || die
- else
- die "non-empty dir found where we needed a symlink: ${prefix}lib"
- fi
- else
- # nothing exists, so just set it up sanely
- ewarn "Initializing ${prefix}lib as a symlink"
- mkdir -p "${prefix}" || die
- rm -f "${prefix}lib" || die
- ln -s ${def_libdir} "${prefix}lib" || die
- fi
- else
- # we need to make sure "lib" is a dir
- if [ -h "${prefix}lib" ] ; then
- # "lib" is a symlink, so need to convert to a dir
- ewarn "Converting ${prefix}lib from a symlink to a dir"
- rm -f "${prefix}lib" || die
- if [ -d "${prefix}lib32" ] ; then
- ewarn "Migrating ${prefix}lib32 to ${prefix}lib"
- mv "${prefix}lib32" "${prefix}lib" || die
- else
- mkdir -p "${prefix}lib" || die
- fi
- elif [ -d "${prefix}lib" ] ; then
- # make sure the old "lib" ABI location does not exist; we
- # only symlinked the lib dir on systems where we moved it
- # to "lib32" ...
- case ${CHOST} in
- i?86*|x86_64*|powerpc*|sparc*|s390*)
- if [ -d "${prefix}lib32" ] ; then
- rm -f "${prefix}lib32"/.keep
- if ! rmdir "${prefix}lib32" 2>/dev/null ; then
- ewarn "You need to merge ${prefix}lib32 into ${prefix}lib"
- die "non-empty dir found where there should be none: ${prefix}lib32"
- fi
- fi
- ;;
- esac
- else
- # nothing exists, so just set it up sanely
- ewarn "Initializing ${prefix}lib as a dir"
- mkdir -p "${prefix}" || die
- rm -f "${prefix}lib" || die
- ln -s ${def_libdir} "${prefix}lib" || die
- fi
- fi
- done
-}
-
-pkg_preinst() {
- # Bug #217848 - Since the remap_dns_vars() called by pkg_preinst() of
- # the baselayout-1.x ebuild copies all the real configs from the user's
- # /etc/conf.d into ${D}, it makes them all appear to be the default
- # versions. In order to protect them from being unmerged after this
- # upgrade, modify their timestamps.
- touch "${ROOT}"/etc/conf.d/* 2>/dev/null
-
- # This is written in src_install (so it's in CONTENTS), but punt all
- # pending updates to avoid user having to do etc-update (and make the
- # pkg_postinst logic simpler).
- rm -f "${ROOT}"/etc/._cfg????_gentoo-release
-
- # We need to install directories and maybe some dev nodes when building
- # stages, but they cannot be in CONTENTS.
- # Also, we cannot reference $S as binpkg will break so we do this.
- multilib_layout
- if use build ; then
- emake -C "${D}/usr/share/${PN}" DESTDIR="${ROOT}" layout || die
- fi
- rm -f "${D}"/usr/share/${PN}/Makefile
-}
-
-src_install() {
- emake \
- OS=$(usex kernel_FreeBSD BSD Linux) \
- DESTDIR="${D}" \
- install || die
- dodoc ChangeLog.svn
-
- # need the makefile in pkg_preinst
- insinto /usr/share/${PN}
- doins Makefile || die
-
- # handle multilib paths. do it here because we want this behavior
- # regardless of the C library that you're using. we do explicitly
- # list paths which the native ldconfig searches, but this isn't
- # problematic as it doesn't change the resulting ld.so.cache or
- # take longer to generate. similarly, listing both the native
- # path and the symlinked path doesn't change the resulting cache.
- local libdir ldpaths
- for libdir in $(get_all_libdirs) ; do
- ldpaths+=":/${libdir}:/usr/${libdir}:/usr/local/${libdir}"
- done
- echo "LDPATH='${ldpaths#:}'" >> "${D}"/etc/env.d/00basic
-
- # rc-scripts version for testing of features that *should* be present
- echo "Gentoo Base System release ${PV}" > "${D}"/etc/gentoo-release
-}
-
-pkg_postinst() {
- local x
-
- # We installed some files to /usr/share/baselayout instead of /etc to stop
- # (1) overwriting the user's settings
- # (2) screwing things up when attempting to merge files
- # (3) accidentally packaging up personal files with quickpkg
- # If they don't exist then we install them
- for x in master.passwd passwd shadow group fstab ; do
- [ -e "${ROOT}etc/${x}" ] && continue
- [ -e "${ROOT}usr/share/baselayout/${x}" ] || continue
- cp -p "${ROOT}usr/share/baselayout/${x}" "${ROOT}"etc
- done
-
- # Force shadow permissions to not be world-readable #260993
- for x in shadow ; do
- [ -e "${ROOT}etc/${x}" ] && chmod o-rwx "${ROOT}etc/${x}"
- done
-
- # Take care of the etc-update for the user
- if [ -e "${ROOT}"/etc/._cfg0000_gentoo-release ] ; then
- mv "${ROOT}"/etc/._cfg0000_gentoo-release "${ROOT}"/etc/gentoo-release
- fi
-
- # whine about users that lack passwords #193541
- if [[ -e ${ROOT}/etc/shadow ]] ; then
- local bad_users=$(sed -n '/^[^:]*::/s|^\([^:]*\)::.*|\1|p' "${ROOT}"/etc/shadow)
- if [[ -n ${bad_users} ]] ; then
- echo
- ewarn "The following users lack passwords!"
- ewarn ${bad_users}
- fi
- fi
-
- # baselayout leaves behind a lot of .keep files, so let's clean them up
- find "${ROOT}"/lib*/rcscripts/ -name .keep -exec rm -f {} + 2>/dev/null
- find "${ROOT}"/lib*/rcscripts/ -depth -type d -exec rmdir {} + 2>/dev/null
-
- # whine about users with invalid shells #215698
- if [[ -e ${ROOT}/etc/passwd ]] ; then
- local bad_shells=$(awk -F: 'system("test -e " $7) { print $1 " - " $7}' /etc/passwd | sort)
- if [[ -n ${bad_shells} ]] ; then
- echo
- ewarn "The following users have non-existent shells!"
- ewarn "${bad_shells}"
- fi
- fi
-
- # http://bugs.gentoo.org/361349
- if use kernel_linux; then
- mkdir -p "${ROOT}"/run
-
- if ! grep -qs "^tmpfs.*/run " "${ROOT}"/proc/mounts ; then
- echo
- ewarn "You should reboot the system now to get /run mounted with tmpfs!"
- fi
- fi
-}
diff --git a/sys-apps/baselayout/files/baselayout-2.1-fbsd.patch b/sys-apps/baselayout/files/baselayout-2.1-fbsd.patch
deleted file mode 100644
index 34f1f33..0000000
--- a/sys-apps/baselayout/files/baselayout-2.1-fbsd.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-diff -Nur baselayout-2.1.orig/Makefile baselayout-2.1/Makefile
---- baselayout-2.1.orig/Makefile 2011-10-01 04:49:52.000000000 +0900
-+++ baselayout-2.1/Makefile 2012-06-03 03:04:53.000000000 +0900
-@@ -70,8 +70,10 @@
- touch $(DESTDIR)/var/tmp/.keep
- install -m 1777 -d $(DESTDIR)/tmp
- touch $(DESTDIR)/tmp/.keep
-+ifeq ($(OS),Linux)
- ln -snf /run $(DESTDIR)/var/run
- ln -snf /run/lock $(DESTDIR)/var/lock
-+endif
- # FHS compatibility symlinks stuff
- ln -snf /var/tmp $(DESTDIR)/usr/tmp
-
-
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2012-08-23 11:05 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-08-23 11:05 [gentoo-commits] proj/gentoo-bsd:master commit in: sys-apps/baselayout/files/, sys-apps/baselayout/ Yuta SATOH
-- strict thread matches above, loose matches on Subject: below --
2012-07-27 12:44 Yuta SATOH
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox